#pragma once
#include <json.hpp>
namespace mdd {
	class IManager {
	public:
		virtual const json& getConfiguration() = 0;
		virtual bool configure(const json& config) = 0;
		virtual void load(const json& j) = 0;
		virtual json dump() = 0;
		virtual json getIdentifier() = 0;
	protected:
		virtual bool configureChild(const json& config) = 0;
	};
}